package com.demo.controller;

import com.demo.service.VectorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api")
public class VectorCtrl {

    @Autowired
    VectorService vectorService;

    // Api endpoint: http://localhost:9091/api/gen?query=Spring
    @GetMapping("/gen")
    public String generateVectorToSearch(@RequestParam String query) {
        System.out.println("Api triggered for query= " + query);
        String content = vectorService.simpleVector(query)
                .getFirst()
                .getContent();
        System.out.println("Result collected. Returning result.");
        return content;
    }
}
